import request from '@/utils/request'

// 卡片
export function cardList(custType) {
    return request({
      url: `/system/campaignStatistics/card?custType=${custType}`,
      method: 'get',
    })
  }

//走访任务统计
  export function visitingTaskList(query) {
    return request({
      url: '/system/campaignStatistics/list',
      method: 'get',
      params: query
    })
  }

  //查看支行
  export function branchList(query) {
    return request({
      url: `/system/campaignStatistics/checkBranchList`,
      method: 'get',
      params: query
    })
  }
 //查看网点
 export function outletList(query) {
  return request({
    url: `/system/campaignStatistics/checkOutletList`,
    method: 'get',
    params: query
  })
}
 //查看客户经理
 export function personList(query) {
  return request({
    url: `/system/campaignStatistics/checkPersonList`,
    method: 'get',
    params: query
  })
}

 //催分配和崔认领
 export function sendNotic(data) {
  return request({
    url: `/notification/send`,
    method: 'post',
    data
  })
}

//获取点评
export function commentList(query) {
  return request({
    url: `/system/campaignStatistics/commentList`,
    method: 'get',
    params: query
  })
}

 //修改点评记录
 export function insertCommentList(data) {
  return request({
    url: `/system/campaignStatistics/insertCommentList`,
    method: 'post',
    data
  })
}